@font-face {
    font-family: 'PoppinsMedium';
    src: url(../fonts/Poppins-Medium.otf);
}

@font-face {
    font-family: 'PoppinsRegular';
    src: url(../fonts/Poppins-Regular.otf);
}

/* Tema Light */
:root {
    --color-background: #fffdf7;
    --color-black: #212121;
    --color-text: #4f4f4f;
    --color-text-out: #90908e;
    --color-primary: #ffbf00;
    --color-primary-hover: #ffb100;
    --color-primary-out: #ffda6f;
    --color-secondary: #fff2cc;
    --color-white: #ffffff;
    --color-red: #e74c3c;
    --color-red-hover: #f33a26;
    --color-green: #2ecc71;
    --color-separate: #cccccc;
    --color-input-out: #ececec;
    --Slate-400: #94a3b8;
    --Blue-500: #005bd7;
    --Red-500: #ff0000;
    --Green-500: #00ff30;
    --Yellow-400: #fff000;
    --box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.1);
    --fs-20: 20px;
    --fs-18: 18px;
    --fs-16: 16px;
    --fs-14: 14px;
    --fs-12: 12px;
}

* {
    -webkit-tap-highlight-color: transparent;
}

a {
    text-decoration: none !important;
}

::placeholder {
    font-size: var(--fs-12);
}

:focus {
    box-shadow: none !important;
}

html, body {
    font-family: 'PoppinsRegular', 'Rubik', sans-serif;
    background-color: var(--color-background);
    color: var(--color-text);
    font-size: var(--fs-16);
}

b {
    font-family: 'PoppinsMedium', 'Rubik', sans-serif;
}

:focus-visible {
    outline-offset: 4px;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background-color: #fafafa;
}

::-webkit-scrollbar-thumb {
    background-color: #cccccc;
    border-radius: 8px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #b3b3b3;
}

.hidden {
    display: none !important;
}

.loader-full {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 9999;
    background-color: rgb(255 253 247 / 95%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.pr-0 {
    padding-right: 0px !important;
}

.pr-pl-10 {
    padding-right: 10px !important;
    padding-left: 10px !important;
}

.fs-10 {
    font-size: 10px;
}

.fs-14 {
    font-size: var(--fs-14);
}

.b-top {
    border-top: 1px dashed var(--color-separate);
    padding-top: 10px;
}

.bg-top {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 80px;
    background-color: var(--color-secondary);
}

.container-mensagens {
    position: fixed;
    right: 0;
    top: 20px;
    z-index: 9999;
}

.toast {
    opacity: 1 !important;
    width: auto;
    color: var(--color-white);
    padding: 10px 15px;
    font-size: var(--fs-14);
    border-top-left-radius: 25px;
    border-bottom-left-radius: 25px;
    margin-bottom: 10px;
    animation: slideInRight .4s ease forwards;
}

@keyframes slideInRight {
    from {
        transform: translateX(120%);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideOutRight {
    from {
        transform: translateX(0);
        opacity: 1;
    }
    to {
        transform: translateX(120%);
        opacity: 0;
    }
}

.toast.red {
    background-color: var(--color-red);
}

.toast.green {
    background-color: var(--color-green);
}

.width-fix {
    width: calc(100% - 20px);
    max-width: 800px;
    margin: 0px auto;
}

.card {
    border-radius: 20px;
    padding: 15px 20px;
    font-size: var(--fs-20);
    box-shadow: var(--box-shadow) !important;
    background-color: var(--color-white) !important;
    border: none !important;
}

.card-social {
    display: flex;
    flex-direction: column;
    border: none !important;
}

.card-social a i {
    font-size: var(--fs-18);
}

.container-img {
    width: 60px;
    height: 60px;
    background-position: center;
    background-repeat: no-repeat;
    margin-right: 20px;
    border-radius: 20px;
}

.infos {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.infos h1 {
    font-size: var(--fs-18);
    margin-bottom: 5px;
    padding-right: 30px;
    color: var(--color-black);
}

.infos-sub {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.status-open {
    font-size: var(--fs-14);
    margin-bottom: 0px;
    color: var(--color-green);
}

.status-open.closed {
    color: var(--color-red);
}

.link {
    text-decoration: none !important;
    font-size: var(--fs-14);
    color: var(--color-primary) !important;
    padding: 10px 10px 5px 10px;
}

/* swiper */
.swiper-container {
    overflow: hidden;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: var(--box-shadow);
    transition: border-radius .2s ease;
}

.swiper {
    width: 100%;
}

.swiper-slide {
    width: 100%;
    cursor: pointer;
    background-color: var(--color-background);
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 140px;
    object-fit: cover;
}

.swiper-button-prev,
.swiper-button-next {
    background-color: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    width: 48px;
    height: 48px;
}

.swiper-button-prev:hover,
.swiper-button-next:hover {
    background-color: rgba(0, 0, 0, 0.4);
    transition: background-color .2s ease-in-out;
}

.swiper-button-prev::after,
.swiper-button-next::after {
    font-size: 20px;
    font-weight: bold;
    color: var(--color-primary);
    opacity: 0.5;
    transition: opacity .2s ease-in-out;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.swiper-button-prev:hover::after,
.swiper-button-next:hover::after {
    opacity: 1;
}

.swiper-pagination-bullet-active {
    background-color: var(--color-primary);
    opacity: 0.5;
}

section.categoria {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 9;
    background: var(--color-background);
    width: 100%;
    padding-top: 10px;
}

.container-menu {
    overflow-x: auto;
    overflow-y: hidden;
    display: flex;
    padding-bottom: 10px;
    padding-left: 10px;
}

.item-categoria {
    flex: none;
}

.item-categoria:focus {
    box-shadow: none !important;
}

.btn-white {
    color: var(--color-black);
    background-color: var(--color-white);
    border-radius: 20px;
    padding: 15px 25px;
    font-size: var(--fs-20);
    box-shadow: var(--box-shadow);
    transition: transform .2s ease-in-out;
}

.btn-yellow {
    border: none !important;
    background-color: var(--color-primary);
    color: var(--color-black) !important;
    border-radius: 20px;
    padding: 15px 25px;
    font-size: var(--fs-20);
    box-shadow: var(--box-shadow);
    transition: transform .2s ease-in-out;
}

.btn-yellow:hover {
    background-color: var(--color-primary-hover);
}

.btn-red {
    border: none !important;
    background-color: var(--color-red);
    color: var(--color-white) !important;
    border-radius: 20px;
    padding: 15px 25px;
    font-size: var(--fs-20);
    box-shadow: var(--box-shadow);
}

.btn-red:hover {
    background-color: var(--color-red-hover);
}

.btn-sm {
    padding: 8px 13px;
    border-radius: 15px;
    font-size: var(--fs-16);
}

.btn-white:hover, .btn-white.active {
    background-color: var(--color-primary);
}

/* Botão search de produtos */
.search-container {
    flex: 1 1 auto;
    display: flex;
    align-items: center;
    max-width: 100%;
    transform-origin: left;
    transition: transform .3s ease-in-out;
    transform: scaleX(0);
    opacity: 0;
    width: 0;
    padding: 0;
}

.search-container input {
    width: 99%;
}

.search-container.show {
    transform: scaleX(1);
    opacity: 1;
    width: auto;
}

.search-container .form-control {
    margin: 0;
}

.btn-close-search {
    position: absolute;
    top: auto;
    right: 10px;
    padding: 8px 15px;
    height: 42px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-radius: 15px;
    background-color: none;
    color: var(--color-black);
    transition: background-color .2s ease-in-out;
}

.btn-pesquisar {
    padding: 8px 15px;
    height: 42px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-radius: 15px;
    transition: background-color .2s ease-in-out;
}

.container-menu.searching #listaCategorias {
    display: none;
}

.container-menu.searching .search-container {
    display: flex;
}

.container-menu.searching {
    padding-left: 0px;
}

#listaCategorias {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

#listaCategorias::-webkit-scrollbar {
    height: 3px;
}

.btn-white.pendente.active,
.btn-white.pendente:hover {
    background-color: var(--Slate-400);
}

.btn-white.aceito.active,
.btn-white.aceito:hover {
    background-color: var(--Blue-500);
}

.btn-white.em-preparo.active,
.btn-white.em-preparo:hover {
    background-color: var(--Red-500);
}

.btn-white.em-entrega.active,
.btn-white.em-entrega:hover {
    background-color: var(--Yellow-400);
}

.btn-white.concluido.active,
.btn-white.concluido:hover {
    background-color: var(--Green-500);
}

.title-categoria {
    color: var(--color-black);
    margin-left: 5px;
}

.container-group .card {
    padding: 15px;
    cursor: pointer;
}

/* Imagem ocupa totalmente a coluna esquerda */
.container-img-produto {
    width: 100%;
    height: 100%;
    min-height: 100px;
    max-width: 120px;
    max-height: 120px;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-color: var(--color-secondary);
    border-radius: 15px;
    margin-right: 20px;
    aspect-ratio: 1 / 1;
    transition: transform .4s cubic-bezier(0, 0, 0.2, 1);
    transform-origin: center;
}

.container-img-produto-carrinho {
    width: 30px;
    height: 30px;
    border-radius: 6px;
    flex-shrink: 0;
    background-position: center;
}

@media (min-width: 769px) {
    .container-img-produto-carrinho {
        width: 40px;
        height: 40px;
    }
}

.container-img-produto-carrinho img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.item-cardapio {
    display: grid;
    grid-template-columns: 120px 1fr;
    gap: 15px;
    transition: transform .3s ease, box-shadow .3s ease;
}

.item-cardapio:hover,
.item-cardapio.touch-active {
    transform: translateY(-0.3px) !important;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.2) !important;
}

/* .item-cardapio:hover .container-img-produto,
.item-cardapio.touch-active .container-img-produto {
    -webkit-transform: scale(1.01);
    -ms-transform: scale(1.01);
    transform: scale(1.01);
} */

.infos-produto {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.infos-produto .name {
    font-size: var(--fs-16);
    color: var(--color-black);
    margin-bottom: 0px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.2;
}

.infos-produto .description {
    font-size: var(--fs-14);
    color: var(--color-text);
    margin-bottom: 5px;
}

.infos-produto .description.line-3 {
    margin: 5px 0px;
    line-height: 1.25;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.infos-produto .price {
    font-size: var(--fs-16);
    color: var(--color-primary);
    margin-bottom: 0px;
}

.infos-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: auto;
}

.container-img-produto .price-tag {
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(15%, -15%);
    width: 48px;
    height: 28px;
    padding: 4px;
    font-size: var(--fs-12);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-white);
    background: var(--color-red);
}

.menu-bottom {
    position: fixed;
    right: 0;
    left: 0;
    bottom: 0;
    width: calc(100% - 20px);
    max-width: 800px;
    margin: 0 auto;
    border-radius: 50px;
    padding: 5px;
    font-size: var(--fs-20);
    box-shadow: var(--box-shadow);
    background-color: #fff9;
    -webkit-backdrop-filter: saturate(180%) blur(20px);
    backdrop-filter: saturate(180%) blur(20px);
    border: 1px solid #ffe28c;
    border-top: 1px solid rgba(0, 0, 0, 0.05);
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color .2s ease-in-out, box-shadow .2s ease-in-out;
    z-index: 9;
}

.menu-bottom-item {
    text-decoration: none !important;
    color: var(--color-text-out) !important;
    font-size: var(--fs-14);
    flex: 1;
    text-align: center;
    padding: 12px 15px;
}

.menu-bottom-item:hover {
    color: var(--color-primary) !important;
}

.menu-bottom-item.active {
    color: var(--color-black) !important;
    font-weight: bold;
    box-shadow: var(--box-shadow);
    background-color: var(--color-primary);
    border-radius: 50px;
}

/* footer com carrinho central */
.menu-bottom-center {
    position: relative;
    width: 80px;
    height: 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cart-button {
    position: absolute;
    bottom: 25px;
    width: 58px;
    height: 58px;
    background-color: var(--color-white);
    border: 1px solid var(--color-primary);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-black);
    font-size: var(--fs-20);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
    transition: background-color .2s ease-in-out;
}

.cart-button i {
    color: var(--color-black);
}

.cart-button:hover {
    background-color: var(--color-primary);
}

.cart-badge {
    position: absolute;
    top: -4px;
    right: -4px;
    width: 23px;
    height: 23px;
    background-color: var(--color-green);
    color: var(--color-white);
    font-size: var(--fs-12);
    font-weight: bold;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform .4s ease, opacity .4s ease;
    opacity: 1;
    transform: translate(0, 0) scale(1);
}

.cart-button:hover .cart-badge,
.cart-button:active .cart-badge {
    transform: translate(-50%, 50%) scale(0);
    opacity: 0;
    transition: transform .4s ease, opacity .4s ease;
}

.cart-label {
    margin-top: 40px;
    font-size: var(--fs-12);
    color: var(--color-black);
}

.menu-bottom.disabled {
    justify-content: center;
    padding: 15px;
    font-size: var(--fs-18);
}

@media (max-width: 767px) {
    .swiper-slide img {
        height: 150px;
    }

    .search-container input {
        width: 98%;
    }

    .container-img-produto {
        min-height: 100px;
    }

    .btn-ver-mais {
        display: block;
        width: 100%;
    }
}

/* Detalhes do produto */
.bg-top.details {
    height: 410px;
}

.container-voltar {
    width: 30px;
    height: 30px;
    padding: 10px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none !important;
    font-size: var(--fs-18);
    color: var(--color-black) !important;
}

.container-voltar i:hover {
    color: var(--color-primary);
    transition: color .2s ease-in-out;
}

.container-imagem-produto {
    height: 300px;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    border-radius: 20px;
    margin: 0 auto;
    margin-bottom: 10px;
}

.sub-title-categoria {
    color: var(--color-text);
    margin-left: 5px;
    font-size: var(--fs-14);
}

.card-opcionais {
    display: flex;
    flex-direction: row;
}

.card-opcionais-itens {
    display: flex;
    flex-direction: row;
    border-radius: 20px;
    padding: 10px 15px;
    font-size: var(--fs-18);
    box-shadow: var(--box-shadow);
    background-color: var(--color-white);
    border: none;
}

.card-opcionais-conteudo {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.infos-produto-opcional {
    flex: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: var(--fs-14);
}

.infos-produto-opcional-item {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    font-size: var(--fs-14);
}

.infos-produto-opcional .name,
.infos-produto-opcional-item .name,
.infos-produto-opcional .price {
    color: var(--color-black);
}

.infos-produto-opcional-item .description {
    font-size: var(--fs-12);
    color: var(--color-text);
    margin: 4px 0;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.2;
}

.infos-produto-opcional-item .price {
    font-size: var(--fs-14);
    color: var(--color-primary);
    margin: 0;
    white-space: nowrap;
}

.infos-produto .name-opcional,
.infos-produto-opcional .name,
.carrinho .infos-produto .name {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.infos-produto .price,
.infos-produto .price-opcional,
.infos-produto-opcional .price {
    white-space: nowrap;
}

.produto-carrinho {
    display: flex;
    align-items: flex-start;
    gap: 10px;
}

.conteudo-produto-carrinho {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.infos-produto-carrinho {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.infos-produto-carrinho .name {
    font-size: var(--fs-16);
    color: var(--color-black);
    margin-bottom: 0px;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.infos-produto-carrinho .price {
    font-size: var(--fs-16);
    color: var(--color-black);
    margin-bottom: 0px;
    white-space: nowrap;
}

.opcionais .badge {
    float: right;
    background-color: var(--color-secondary);
    padding: 7px 12px;
    border-radius: 50px;
    color: var(--color-black);
    margin-top: 5px;
}

.checks {
    margin-left: 10px;
}

.container-check {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: var(--fs-20);
    -webkit-user-select: none;
    user-select: none;
}

.container-check input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.card-opcionais-itens .checkmark {
    position: absolute;
    top: 25px;
    left: -3px;
    height: 25px;
    width: 25px;
    border-radius: 50px;
    background-color: var(--color-input-out);
}

.checkmark {
    position: absolute;
    top: -2px;
    left: 0;
    height: 25px;
    width: 25px;
    border-radius: 50px;
    background-color: var(--color-input-out);
}

.container-check:hover input~.checkmark {
    background-color: var(--color-text-out);
}

.container-check input:checked~.checkmark {
    background-color: var(--color-primary);
}

.checkmark::after {
    content: "";
    position: absolute;
    display: none;
}

.container-check input:checked~.checkmark::after {
    display: block;
}

.container-check .checkmark::after {
    left: 9px;
    top: 7px;
    width: 6px;
    height: 10px;
    border: solid var(--color-white);
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    border-width: 0 3px 3px 0;
}

.form-control {
    background-color: var(--color-white) !important;
    color: var(--color-black) !important;
    border-radius: 20px;
    padding: 15px 25px;
    font-size: var(--fs-16);
    box-shadow: var(--box-shadow) !important;
    border: none !important;
    height: 50px;
    resize: vertical;
}

textarea {
    height: 150px !important;
}

.menu-bottom.details {
    justify-content: space-between;
    padding: 10px 15px;
}

.add-carrinho {
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.btn-menos, .btn-mais {
    color: var(--color-black);
    padding: 8px 12px;
    border-radius: 10px;
    font-size: var(--fs-14);
    cursor: pointer;
    background: var(--color-primary-out);
}

.add-numero-itens {
    color: var(--color-black);
    padding: 2px 15px;
    font-size: var(--fs-18);
}

.img-opcional-item {
    position: relative;
    width: 80px;
    height: 76px;
    flex-shrink: 0;
}

.img-opcional-item img.mini-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 6px;
}

/* SOBRE A EMPRESA */
.bg-top.sobre {
    height: 180px;
}

.title-sobre {
    margin-bottom: 20px !important;
    margin-top: 5px;
    margin-right: 100px;
}

.sobre {
    font-size: var(--fs-14);
    color: var(--color-text);
}

.container-img-sobre {
    position: absolute;
    right: 20px;
    margin-top: -50px;
    width: 90px;
    height: 90px;
    background-repeat: no-repeat;
    background-position: center;
    background-color: var(--color-white);
    border-radius: 15px;
    box-shadow: var(--box-shadow);
}

.normal-text {
    font-size: var(--fs-14);
    color: var(--color-text);
}

.normal-text b {
    color: var(--color-black);
}

.btn-full {
    position: fixed;
    font-weight: bold;
    right: 0;
    left: 0;
    bottom: 2px;
    width: calc(100% -20px);
    max-width: 800px;
    margin: 0 auto;
    border-radius: 50px;
    padding: 15px 25px;
    font-size: var(--fs-18);
    border: 1px solid #ffe28c !important;
    box-shadow: var(--box-shadow) !important;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.btn-full.voltar {
    justify-content: center;
}

/* Carrinho */
.bg-top.pedido {
    height: 150px;
}

.container-detalhes {
    display: flex;
}

.carrinho .detalhes-produtos {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.carrinho .infos-produto {
    flex: 1;
    flex-direction: row;
    justify-content: space-between;
}

.carrinho .infos-produto .name {
    font-size: var(--fs-16);
}

.carrinho .infos-produto .price {
    font-size: var(--fs-14);
    color: var(--color-black);
}

.carrinho .infos-produto .name-opcional,
.carrinho .infos-produto .price-opcional,
.carrinho .infos-produto .obs-opcional {
    font-size: var(--fs-14);
    color: var(--color-text);
    margin-left: 10px;
}

.carrinho .infos-produto .obs-opcional {
    margin-right: 70px;
}

.detalhes-produto-edit {
    font-size: var(--fs-14);
    padding-left: 10px;
    color: var(--color-black);
    cursor: pointer;
}

.icon-action-carrinho {
    margin-left: 10px;
    width: 35px;
    height: 35px;
    border-radius: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-white);
    box-shadow: var(--box-shadow);
}

.icon-action-carrinho.dashed {
    border: 2px dashed var(--color-primary);
}

.icon-action-carrinho:hover {
    background-color: var(--color-secondary);
    transition: background-color .2s ease-in-out;
}

.carrinho .infos-produto .name-total {
    font-size: var(--fs-18);
    color: var(--color-black);
}

.carrinho .infos-produto .price-total {
    font-size: var(--fs-18);
    color: var(--color-primary);
}

.card-select {
    border: 2px dashed var(--color-primary) !important;
    background-color: var(--color-white) !important;
    cursor: pointer;
}

.card-select:hover {
    background-color: var(--color-secondary) !important;
    transition: background-color .3s ease-in-out !important;
}

.color-primary {
    color: var(--color-primary);
}

.card-address {
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.img-icon-details {
    width: 50px;
    height: 50px;
    background-color: var(--color-secondary);
    color: var(--color-black);
    font-size: var(--fs-20);
    border-radius: 11px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-address .infos {
    padding-left: 15px;
    padding-right: 15px;
    font-size: var(--fs-14);
}

.card-address .infos .name {
    color: var(--color-black);
}

.icon-edit {
    font-size: var(--fs-16);
    padding: 5px;
    color: var(--color-primary);
    cursor: pointer;
}

.icon-edit i {
    transition: color .2s ease-in;
}

.icon-edit:hover i {
    color: var(--color-primary-hover);
}

/* Pedido */
.card-status-pedido {
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
    padding: 10px 15px;
}

.card-status-pedido .infos {
    padding-left: 15px;
    padding-right: 15px;
    font-size: var(--fs-14);
}

.card-status-pedido .infos .name {
    color: var(--color-black);
}

.detalhes-produto {
    flex: 1;
}

.detalhes-produto-acoes {
    cursor: pointer;
    display: flex;
    align-items: center;
    flex-direction: column;
    font-size: var(--fs-14);
    padding: 5px 15px;
    border-right: 1px solid var(--color-separate);
    color: var(--color-black);
}

.detalhes-produto-acoes:last-child {
    border: none;
}

.detalhes-produto-acoes i {
    font-size: var(--fs-18);
}

.pedido .name-total {
    font-size: var(--fs-16);
    color: var(--color-black);
}

.pedido .price-total {
    font-size: var(--fs-16);
    color: var(--color-primary);
}

.card-status-pedido.active {
    background-color: var(--color-primary-out);
}

.img-icon-details.status {
    width: 30px;
    height: 30px;
    font-size: var(--fs-14);
    border-radius: 8px;
}

.card-status-pedido.pending {
    opacity: 0.3;
}

.card-status-pedido.pending .img-icon-details {
    width: 30px;
    height: 30px;
}

.card-status-pedido.entregue {
    background-color: var(--color-primary-out);
    color: #298b40;
}

.card-status-pedido.indo {
    background-color: var(--color-primary-out);
}

/* Classe para quando o pedido estiver em entrega */
.card-status-pedido.indo .img-icon-details .img-delivery {
    position: relative;
    animation: motoMove 1s infinite alternate;
}

@keyframes motoMove {
    0% { left: 0; }
    100% { left: 8px; }
}

.card-status-pedido.cancelado .img-icon-details {
    background-color: var(--color-red);
    color: var(--color-white);
}

.card-status-pedido.cancelado {
    border: 2px dashed var(--color-red) !important;
}

/* Modal actions */
.modal-actions {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: rgb(0 0 0 / 70%);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: end;
    flex-direction: column;
}

.backdrop {
    flex: 1;
    width: 100%;
    height: 100%;
}

.width-fix.container-modal-actions {
    width: 100%;
    padding: 20px 30px;
    background: var(--color-white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.width-fix.container-modal-actions a {
    text-decoration: none !important;
    width: 100%;
    display: block;
    padding: 15px;
    text-align: center;
    border-bottom: 1px solid var(--color-separate);
    color: var(--color-black);
    transition: color .2s ease-in-out;
}

.container-modal-actions a.remover-produto:hover,
.container-modal-actions a.remover-endereco:hover,
#modalActionsFormaPagamento .container-modal-actions a.remover-pagamento:hover,
.width-fix.container-modal-actions a:last-child:hover {
    color: var(--color-red);
}

.container-modal-actions a.editar-produto:hover,
.container-modal-actions a.editar-endereco:hover,
#modalActionsFormaPagamento .container-modal-actions a.escolher-pagamento:hover,
.width-fix.container-modal-actions a:not(:last-child):hover {
    color: var(--color-primary);
}

.width-fix.container-modal-actions a:last-child{
    border: none;
}

.color-black {
    color: var(--color-black);
}

.color-red {
    color: var(--color-red);
}

.color-green {
    color: var(--color-green);
}

.btn-aplicar-cupom {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    padding: 15px 25px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    font-size: var(--fs-16);
    height: 50px;
    font-weight: bold;
    outline: none;
    border: none;
    background-color: var(--color-primary);
    color: var(--color-black);
}

.btn-aplicar-cupom:hover {
    background-color: var(--color-primary-hover);
}

.user-select-none {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
